- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# drop_zero_coefficients_action Class Reference

Removal of explicit zeros. More...

`#include <CoinPresolveZeros.hpp>`

Inheritance diagram for drop_zero_coefficients_action:

[legend]
Collaboration diagram for drop_zero_coefficients_action:

[legend]
List of all members.

## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
| ~drop_zero_coefficients_action ()
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, int *checkcols, int ncheckcols, const CoinPresolveAction *next)
## Private Member Functions
| drop_zero_coefficients_action (int nzeros, const dropped_zero *zeros, const CoinPresolveAction *next)
## Private Attributes
const int | nzeros_
const dropped_zero *const | zeros_

## Detailed Description

Removal of explicit zeros.

The presolve action for this class removes explicit zeros from the constraint matrix. The postsolve action puts them back.

Definition at line 30 of file CoinPresolveZeros.hpp.

## Constructor & Destructor Documentation

drop_zero_coefficients_action::drop_zero_coefficients_action | ( | int | nzeros,
|  | const dropped_zero * | zeros,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline, private]`

Definition at line 35 of file CoinPresolveZeros.hpp.

drop_zero_coefficients_action::~drop_zero_coefficients_action | ( |  | ) | `[inline]`

Definition at line 52 of file CoinPresolveZeros.hpp.

References deleteAction, and zeros_.

## Member Function Documentation

const char* drop_zero_coefficients_action::name | ( |  | ) | const`[inline, virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

Definition at line 43 of file CoinPresolveZeros.hpp.

static const CoinPresolveAction* drop_zero_coefficients_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | int * | checkcols,
|  | int | ncheckcols,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[static]`

void drop_zero_coefficients_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int drop_zero_coefficients_action::nzeros_`[private]`

Definition at line 32 of file CoinPresolveZeros.hpp.

const dropped_zero* const drop_zero_coefficients_action::zeros_`[private]`

Definition at line 33 of file CoinPresolveZeros.hpp.

Referenced by ~drop_zero_coefficients_action().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/CoinPresolveZeros.hpp